﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Command.View {
  public partial class SearchWithMatchOperationCommandView : SearchCommandView {
    public SearchWithMatchOperationCommandView()
      : base() {
      InitializeComponent();
      cmbMatchOperation.Items.AddRange(Enum.GetNames(typeof(HeuristicLab.DataImporter.Command.MatchOperation)));
      cmbMatchOperation.SelectedIndex = 0;
    }

    public SearchWithMatchOperationCommandView(SearchWithMatchOperationCommandBase command) :this(){
      this.Command = command;
    }

    public new SearchWithMatchOperationCommandBase Command {
      get { return (SearchWithMatchOperationCommandBase)base.Command; }
      set { base.Command = value; this.UpdateCommand(); }
    }

    public MatchOperation MatchOperation {
      get { return this.Command.MatchOperation; }
    }

    private void cmbMatchOperation_SelectedIndexChanged(object sender, System.EventArgs e) {
      this.UpdateCommand();
    }

    private void UpdateCommand() {
      if (Command != null)
        this.Command.MatchOperation = (MatchOperation)Enum.Parse(typeof(MatchOperation), cmbMatchOperation.SelectedItem.ToString());
    }
  }
}
